glutStrokeWidth(3GLUT)

NAME
glutStrokeWidth returns the width of a stroke character, glutStrokeLength returns the length of a stroke font string.

SYNTAX
#include <GLUT/glut.h>

int glutStrokeWidth(void *font, int character);
int glutStrokeLength(void *font, const unsigned char *string);

ARGUMENTS

font
    Stroke font to use. For valid values, see the glutStrokeWidth description.

character
    Character to return width of (not confined to 8 bits).

string
    Text string (8-bit characters), nul terminated.

DESCRIPTION
glutStrokeWidth returns the width in modeling units of a stroke character in a supported stroke font. While the width of characters in a font may vary (though fixed width fonts do not vary), the maximum height characteristics of a particular font are fixed. glutStrokeLength returns the length in modeling units of a string (8-bit characters). This length is equivalent to summing all the widths returned by glutStrokeWidth for each character in the string.

SEE ALSO
glutStrokeCharacter, glutBitmapWidth

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)